Bug 972934 - Update jgit and egit to 3.0.0 on rawhide and f19
Summary: Update jgit and egit to 3.0.0 on rawhide and f19
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-jgit (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neil Brian Guzman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-10 20:43 UTC by Gerard Ryan
Modified: 2014-01-23 23:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 15:08:08 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gerard Ryan 2013-06-10 20:43:32 UTC
I lied, this isn't really a bug. I think it would be great to get these updated though! :D

Eclipse in rawhide/f19 is a kepler pre-release, and jgit and egit will go to 3.0.0 for Kepler too, so I think they are the versions that we should have there. A greedier reason, is that I want to update jbosstools to its own kepler pre-release, which relies on egit 3.0.0. Starting to build the pre-releases now, will allow us to iron out any problems early, so we're not weeks/months behind upstream.

...problems such as...jgit will have javaewah as a dependency, so I packaged that yesterday and it's on its way to f19. (bug #971554)

I also made a stab at updating jgit, but I'm not familiar enough with it. It's expecting a lesser version of JavaEWAH than ours, so here's some stuff that will help:

BR/R javaewah

In %prep:
# javaewah package namespace changed on request by Eclipse in 0.6.0,
# Still not in orbit though, for some reason.
# See: https://github.com/lemire/javaewah/blob/master/CHANGELOG
sed -i -e 's/javaewah;version="0.5.6"/com.googlecode.javaewah/g' \
 org.eclipse.jgit/META-INF/MANIFEST.MF
find -name *.java -exec sed -i -e "s/javaewah/com.googlecode.javaewah/g" {} \;
sed -i -e "s/javaewah/com.googlecode.javaewah.JavaEWAH/g" \
 org.eclipse.jgit.packaging/org.eclipse.jgit.feature/feature.xml


In %build (where adding symlinks to deps/):
ln -s %{_javadir}/javaewah/JavaEWAH.jar

^^ also add this last jar everywhere you add the other dep jars.

I hope that will save you some time at least! :)

Comment 1 Alexander Kurtakov 2013-06-11 06:20:48 UTC
I'm aware of the 3.0 versions but I decided to look at it once the 3.0 final is released. If someone proposes a patch to update to RC version I'll apply it of course. Worst case - we should be 2 weeks away from 3.0.

Comment 2 Alexander Kurtakov 2013-06-25 12:28:53 UTC
Neil is looking at that and jgit 3.0 builds are done for f19 already.

Comment 3 Gerard Ryan 2013-06-25 20:12:05 UTC
Wunderbar! I noticed jgit being updated alright (quietly stalking the koji page) Thanks Neil! :)


Note You need to log in before you can comment on or make changes to this bug.